QGIS Application - Feature request #9387
Print Composer - Coordinate system as expression
2014-01-20 06:43 AM - Nicholas Duggan

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 17985
Description

The addition of dynamic text through expressions in QGIS 2 is awesome! Unfortunately | still need to fill out the coordinate system in
every map | create. It would be really useful to have the datum, projection, false Eastings, False Nothings and spheroid as expressions to
be added to the label function. This would provide a means for creating a fully automated template for professional use

History

#1 - 2014-01-20 01:37 PM - Giovanni Manghi

- OS version deleted (8.1)

- Target version set to Future Release - Nice to have

- Operating System deleted (Windows)

#2 - 2014-05-03 10:02 AM - Antonio Locandro

Hi | believe that this request would be nice to be implemented soon as | think it wouldn't be too complicated to obtain the parameters. | agree with Nicholas
that this is really needed since doing manual input is prone to errors (if | forget to change a projection)

#3 - 2014-05-03 01:54 PM - Nyall Dawson

Antonio - the issue is that at the moment there's no contextual support for expressions. This is a prerequisite before adding additional expression functions

which only have meaning in a composer context.

#4 - 2017-03-18 03:57 AM - Nyall Dawson
- Resolution set to fixed/implemented

- Status changed from Open to Closed

Implemented in master ( QGIS 3.0)
